HR(3pm)

NAME
Time::HR - Perl interface to high-resolution timer.

SYNOPSIS
   use Time::HR;

   $hrtime  = gethrtime();

DESCRIPTION
Time::HR is a very simple interface to high-resolution timer - it only supports one function call - gethrtime(). gethrtime() function returns current high-resolution real time value either as 64-bit integer (on systems with 64-bit support) or double value. Time is expressed as nanoseconds since some arbitrary time in the past; it is not correlated in any way to the time of day, and thus is not subject to resetting or drifting by way of adjtime or settimeofday. The high resolution timer is ideally suited to performance measurement tasks, where cheap, accurate interval timing is required. Currently, this extension is only supported on Solaris, Linux and Cygwin.

  EXPORT
   gethrtime

  Exportable constants
   none

AUTHOR
Alexander Golomshtok, golomshtok_alexander@jpmorgan.com

SEE ALSO
perl.